Bug 21288 - Bug in editor invocation
Bug in editor invocation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-23 16:47 EST by martin
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-23 16:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description martin 2000-11-23 16:47:40 EST
When you view a file with a space in name and press 'v' to edit it,
it runs the editor with the first part of name only.
(instead of 'hello world' it opens 'hello')

Some more funny example is 

$ less "yup; rm work.c"
(if you press 'v' then, it will remove your work.c)

It seems that less uses system() instead of fork() & exec() ...
Comment 1 Karsten Hopp 2000-11-27 10:14:14 EST
Setting your $LESSEDIT to "%E ?lm+%lm. '%f'" should help. I'll fix this in the
Rawhide package.

Thanks for the bugreport !
   Karsten

Note You need to log in before you can comment on or make changes to this bug.